<app-top-dock></app-top-dock>
<div class="container-fluid">
  <div class="row clearfix">
    <div class="content-wrapper content-wrapper-user">
      <div class="form-group panel-right-block"
           [ngStyle]="{'background-image': 'url(' + advertisementOnPage.gallery.background.path + ')',
                                                        'background-size':'cover'}"
           >
        <div class="event-gallery container ad-show-width">
          <div class="desc-div row">
            <div class="noteditable-desc">
              <div  class="col-lg-12 text-center">
                <a href="javascript:void(0)" (click)="openAdUrl(advertisementOnPage.gallery.logo.url)" target="_blank">
                  <img src="{{advertisementOnPage.gallery.logo.path}}" width="100" class="img-responsive" style="display:inline-block;margin-bottom:15px;" />
                </a>
              </div>
              <div class="row clearfix" style="margin-top:20px;">
                <div class="col-lg-2">
                </div>
                <!--<div class="col-md-8" style="height:80px;overflow:hidden;">
                  <img  src="{{advertisementOnPage.topBanner}}" class="img-responsive" style="display:block !important;width:100%;">

                </div>-->
                <app-adbanner [type]="advertisementConfig.gallery.banner[0]" [delayDuration]="advertisementConfig.gallery.delay.topBanner"
                              ></app-adbanner>
                <div class="col-lg-2">
                </div>
              </div>
              <div class="col-lg-12 text-center">
                <h3 class="event-name" style="color:#fff;margin-top:5px;font-size:26px;margin-bottom:5px;text-shadow: 1px 1px 1px #111;">
                  {{ event.name }}
                </h3>
                <p class="e-date" style="color:#fff;margin-bottom:5px;margin-top:0px;font-size:18px;text-shadow: 1px 1px 1px #111;">
                  Date: {{ event.startsAt | date:'MMM d, yyyy' }}
                </p>
                <!--<p class="e-image-no" style="font-size:14px;margin-top:10px;font-weight:500;margin-top:0px;">-->
                  <!--768 images-->
                <!--</p>-->
              </div>
            </div>
            <!-- <div class="editable-desc toggler">
              <input type="text" class="event-name" value="Beach party 2015" />
              <input type="text" class="e-date" value="Date: 12 July,2017" />
              <input type="text" class="e-image-no" value="768 Images" />
            </div> -->
          </div>

          <div class="event-gallery thumb-container content" id="content-2">
            <div id="mCSB_1" class="mCustomScrollBox mCS-rounded mCSB_vertical mCSB_inside" tabindex="0"><div id="mCSB_1_container" class="mCSB_container mCS_y_hidden mCS_no_scrollbar_y" style="position:relative; top:0; left:0;" dir="ltr">
              <div id="mCSB_1_container" class="mCSB_container mCS_y_hidden mCS_no_scrollbar_y" style="position:relative; top:0; left:0;" dir="ltr">

              <div *ngFor="let eventImage of eventImages;" class="col-lg-2 col-md-2 col-sm-4 col-xs-12 thumb" [ngStyle]="{'background-image': 'url(' + eventImagePath + eventImage.image + ')','background-repeat': 'no-repeat','height':'172px'}">
                <div class="chk-div toggler">
                </div>
                <a class="thumbnail" (click)="openImageModal(eventImage)" href="#" data-image-id="" data-toggle="modal" data-title="This is my title" data-caption="Some lovely red flowers"
                   [attr.data-image]="eventImagePath+eventImage.image" data-image="" >
                </a>
              </div>
              </div>


            </div>


          </div>
          <div class="row clearfix" style="margin-top:20px;">
            <div class="col-lg-2">
            </div>
            <!--<div class="col-md-8" style="height:80px;overflow:hidden;">
              <img  src="{{advertisementOnPage.bottomBanner}}" class="img-responsive" style="display:block !important;width:100%;">
            </div>-->
            <app-adbanner [type]="advertisementConfig.gallery.banner[1]" [delayDuration]="advertisementConfig.gallery.delay.bottomBanner" ></app-adbanner>
            <div class="col-lg-2">
            </div>
          </div>
        </div>
      </div>
    </div>



    <!-- Modal Area -->

    <!-- Footer -->
    <!-- <footer>
        <div class="row">
            <div class="col-lg-12">
                <p>Copyright &copy; Your Website 2014</p>
            </div>
        </div>
    </footer> -->

  </div>

  <!-- Modal -->
  <div class="modal fade modal-video modal-noborder"
       *ngIf="advertisementOnPage.popUpAd.showPopUpModal"
       id="popUpModal" tabindex="-1" role="dialog" aria-labelledby="popUpModalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <!--<div class="modal-header">-->
          <!--&lt;!&ndash; <a href="#image-gallery" class="close" data-dismiss="modal" aria-label="Close">&times;</a> &ndash;&gt;-->
          <!---->
          <!--<h4 class="modal-title hidden-xs" id="popUpModalLabel">Please Close If you Don't Like Ad</h4>-->
        <!--</div>-->
        <div class="modal-body">
          <a *ngIf="advertisementConfig.popUpAd.showClosePopUp"  class="close" data-toggle="modal" data-dismiss="modal" (click)="switchedOffRotation()" >x</a>
          <a href="{{advertisementOnPage.popUpAd.currentUrl}}" target="_blank">
            <img class="fix-modal-mob-pop" *ngIf="advertisementOnPage.popUpAd.currentFileType == 'IMAGE'"
                 src="{{advertisementOnPage.popUpAd.currentImage}}"
                 style="height: 400px;width: 570px"
            >

          </a>
          <!--
            https://developers.google.com/web/updates/2017/09/autoplay-policy-changes
          -->
          <video  *ngIf="advertisementOnPage.popUpAd.video.ready && advertisementOnPage.popUpAd.currentFileType == 'VIDEO'"
                 class="video" id="pmcGalAdVideo"   style="width: 100%;"  >
            <source *ngIf="advertisementOnPage.popUpAd.video.ready"
                    src="{{advertisementOnPage.popUpAd.video.path}}"
                    type="{{advertisementOnPage.popUpAd.video.mimeType}}" />
          </video>
        </div>
      </div>
    </div>

    <!-- Modal Area -->
    <div class="modal fade bs-example-modal-lg"  tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content modal-cstm">
          <!-- Slider main container -->

        </div>
      </div>
    </div>
  </div>

  <div class="modal fade modal-gallery" id="image-gallery" style="overflow:auto;" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <a id="modalDismiss" href="#" class="close"  data-dismiss="modal" >x</a>
          <h4 class="modal-title" id="image-gallery-title"></h4>
        </div>
        <div class="modal-body clearfix">
          <div class="social-foot-2 ornobio">
            <share-button button="facebook" [url]="eventImageSharingPath + currentImage.image + shareSuffix">
              <img src="assets/images/social/facebook.png" width="30">
            </share-button>
            <share-button button="twitter" [url]="eventImageSharingPath + currentImage.image + shareSuffix">
              <img src="assets/images/social/twitter.png" width="30">
            </share-button>
            <share-button button="google" [url]="eventImageSharingPath + currentImage.image + shareSuffix">
              <img src="assets/images/social/gplus.png" width="30">
            </share-button>
            <a (click)="reportImage()" style="float:right;background:transparent;color:red !important;"><i class="fa fa-2x fa-warning"></i></a>
          </div>
          <div class="col-md-12" style="padding:0px;">
            <img id="image-gallery-image" class="image-gallery-image img-responsive" src="{{eventImagePath}}{{currentImage.image}}">
          </div>
        </div>
        <div class="modal-footer">

          <div class="col-md-2 text-left">
           <button type="button" *ngIf="prevBtn" class="btn btn-primary btn-action" (click)="showPreviousImage()" id="show-previous-image"><i class="fa fa-chevron-left"></i></button>
          </div>

          <div class="col-md-8 text-center">

          </div>

          <div class="col-md-2">
            <button type="button" *ngIf="nextBtn" (click)="showNextImage()" id="show-next-image" class="btn btn-default btn-action"><i class="fa fa-chevron-right"></i></button>
          </div>
        </div>
      </div>
    </div>
  </div>
  </div>
</div>
